<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.dbcapp.mapper.record.AccessEnergysTructureMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.dbcapp.entity.AccessEnergysTructure">
        <id column="id" property="id" />
        <result column="enterprise_code" property="enterpriseCode" />
        <result column="record_date" property="recordDate" />
        <result column="energy_code" property="energyCode" />
        <result column="energy_code_name" property="energyCodeName" />
        <result column="unit" property="unit" />
        <result column="start_inventory" property="startInventory" />
        <result column="object" property="object" />
        <result column="money" property="money" />
        <result column="consume_sum" property="consumeSum" />
        <result column="consume_industry" property="consumeIndustry" />
        <result column="consume_material" property="consumeMaterial" />
        <result column="consume_noindustry" property="consumeNoindustry" />
        <result column="consume_transport" property="consumeTransport" />
        <result column="end_inventory" property="endInventory" />
        <result column="modulus" property="modulus" />
        <result column="ref_modulus" property="refModulus" />
        <result column="userid" property="userid" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="dept_id" property="deptId" />
        <result column="production_sum" property="productionSum" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, enterprise_code, record_date, energy_code, energy_code_name, unit, start_inventory, object, money, consume_sum,
        consume_industry, consume_material, consume_noindustry, consume_transport, end_inventory, modulus, ref_modulus, userid,
        update_time, del_flag, dept_id, production_sum
    </sql>

</mapper>
